#-----------------------------------------------------------------------------
sub readDist
#-----------------------------------------------------------------------------
{
  &logit("Reading Distribution List data from repository");

  $statement  = "select distinct distlist from dbamon.dist";
  ##print "statement=$statement\n";
  $sth2 = $dbh->prepare($statement) ||
          &error_msg('Failed_on_DB_prepare_in_chgEnt');
  $sth2->execute || &error_msg('Failed_on_DB_execute_in_chgEnt');

  while (@Data = $sth2->fetchrow_array)
  {
    $distlist = $Data[0];
    undef $userlist[$distlist];
    ##print "undefing userlist[$distlist]\n";
  }

  $statement  = "select
      distlist,
      disttype,
      distrcvr,
      distts
    from 
      dbamon.dist
    order by
      1, 3";

  ##print "statement=$statement\n";
  $sth2 = $dbh->prepare($statement) ||
          &error_msg('Failed_on_DB_prepare_in_chgEnt');
  $sth2->execute || &error_msg('Failed_on_DB_execute_in_chgEnt');

  $h_userlist_method[$h] = "";
  $distcount=0;

  while (@Data = $sth2->fetchrow_array)
  {
    $distlist = $Data[0];
    $disttype = $Data[1];
    $distrcvr = $Data[2];
    $distts   = $Data[3];
    ##print "distlist=$distlist disttype=$disttype distrcvr=$distrcvr distts=$distts\n";
    
    $userlist[$distlist] .= "$distrcvr ";

    ##print "userlist[$distlist]=$userlist[$distlist]\n";

    $distcount++;
  }

  &logit("Read $distcount Distribution List entries from repository");
}
1;
